## org.eclipse.contribution.visualiser.jdtImpl
Class JDTMember

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleMember
          org.eclipse.contribution.visualiser.jdtImpl.JDTMember

All Implemented Interfaces:
  IMember

public class JDTMember
extends SimpleMember

The JDT implementation of IMember.

Field Summary

Fields inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMember
`containingGroup, fullname, name, size, tooltip`

Constructor Summary
`JDTMember(java.lang.String name, org.eclipse.jdt.core.IJavaElement je)` Default constructor

Method Summary
`org.eclipse.jdt.core.IJavaElement` `getResource()` Gets the Java element represented by this member
`java.lang.String` `toString()` Get the String representation of this member.

Methods inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMember
`getContainingGroup, getFullname, getName, getSize, getToolTip, setContainingGroup, setFullName, setName, setSize, setTooltip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDTMember

    public JDTMember(java.lang.String name,
                     org.eclipse.jdt.core.IJavaElement je)

  Default constructor

Parameters:
  `name` - - the member's name
  `je` - - the corresponding IJavaElement

Method Detail

### getResource

    public org.eclipse.jdt.core.IJavaElement getResource()

  Gets the Java element represented by this member

  Returns:
    the IJavaElement represented

### toString

    public java.lang.String toString()

  Description copied from class: `SimpleMember`
  Get the String representation of this member. Contains the member's full name and size.

  Overrides:
    `toString` in class `SimpleMember`